{
  num: -13019,
  accuracy: true,
  basePower: 0,
  category: "Status",
  name: "Shunko",
  pp: 10,
  priority: 0,
  flags: { snatch: 1, metronome: 1 },
  onHit(target, source, move) {
    const user = source || target;
    if (!user) return;
    this.boost({ atk: 1, spe: 1, evasion: 1 }, user, user, move);
    user.addVolatile("shunko", user, move);
  },
  condition: {
    duration: 4,
    onStart(pokemon) {
      this.add("-start", pokemon, "shunko");
    },
    onRestart(pokemon) {
      this.effectState.duration = 4;
      this.add("-start", pokemon, "shunko");
    },
    onModifyPriority(priority, pokemon, target, move) {
      if (move?.flags?.contact) return priority + 1;
    },
    onEnd(pokemon) {
      this.add("-end", pokemon, "shunko");
    }
  },
  secondary: null,
  target: "self",
  type: "Fighting",
  zMove: { boost: { atk: 1 } },
  contestType: "Cool",
  desc: "Raises Attack, Speed, and Evasion by 1 stage. For the next three turns, this Pokemon's contact moves gain +1 priority."
}
